
Infrastructure - Story #6055

Refactor d1_log_aggregation for single master CN mode (i.e. active/passive)

2014-08-20 16:44 - Peter Slaughter

Status: Closed Start date: 2014-05-23

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_log_aggregation Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

The CN architecture will be modified in a future CCI release for single master mode (SMM). In preparation for this,

d1_log_aggregation can be modified now to remove multi-master mode dependencies. This component will be refactored such that

new event index entries will be created only on the active CN, but will be automatically synchronized to the passive CNs.

Subtasks:

Task # 5331: Remove Hazelcast dependency from Log Aggregation processing Closed

Task # 6057: Replace manual recovery/synchronization of even indices with automatic method Closed

History

#1 - 2014-09-24 18:12 - Robert Waltz

- Target version changed from 2014.30-Block.4.3 to CCI-1.5.0

- Due date changed from 2014-08-02 to 2014-09-24

#2 - 2014-10-01 19:28 - Robert Waltz

- Due date changed from 2014-09-24 to 2014-10-01

- Assignee changed from Peter Slaughter to Robert Waltz

#3 - 2014-10-01 19:31 - Robert Waltz

- Status changed from New to In Progress

#4 - 2014-10-02 19:32 - Robert Waltz

- Due date changed from 2014-10-01 to 2014-10-02

- Target version changed from CCI-1.5.0 to CCI-1.5.1

#5 - 2015-01-06 18:34 - Robert Waltz

- Target version changed from CCI-1.5.1 to CCI-2.0.0

- Due date changed from 2014-10-02 to 2015-01-06

#6 - 2015-01-06 18:47 - Dave Vieglais

- Target version changed from CCI-2.0.0 to CCI-2.1.0

#7 - 2016-01-05 17:50 - Robert Waltz

- % Done changed from 30 to 100

- Status changed from In Progress to Closed

#8 - 2016-01-21 15:58 - Robert Waltz

- Milestone changed from CCI-1.4 to CCI-2.0

- Target version changed from CCI-2.1.0 to CCI-2.0.0
